#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

%define		module		pyzmq
%define		zeromq_ver	4.1.2
Summary:	Py0MQ - 0MQ bindings for Python 2
Summary(en.UTF-8):	Py0MQ - ØMQ bindings for Python 2
Summary(pl.UTF-8):	Py0MQ - wiązania biblioteki ØMQ dla Pythona 2
Name:		python-zmq
Version:	17.0.0
Release:	1
License:	BSD
Group:		Development/Languages/Python
Source0:	https://github.com/zeromq/pyzmq/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	29dcd90cd6e862ce9b4a0e5efd74ada8
URL:		http://github.com/zeromq/pyzmq
%if %{with python2}
BuildRequires:	python-Cython >= 0.16
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-distribute
%endif
%if %{with python3}
BuildRequires:	python3-Cython >= 0.16
BuildRequires:	python3-devel >= 3.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	zeromq-devel >= %{zeromq_ver}
Requires:	python-modules >= 1:2.6
Requires:	python-tornado
Requires:	zeromq >= %{zeromq_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
0MQ bindings for Python 2.

%description -l en.UTF-8
ØMQ bindings for Python 2.

%description -l pl.UTF-8
Wiązania biblioteki ØMQ dla Pythona 2.

%package devel
Summary:	Header files for Py0MQ (Python 2 version)
Summary(pl.UTF-8):	Pliki nagłowkowe dla Py0MQ (wersja dla Pythona 2)
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Py0MQ (Python 2 version).

%description devel -l pl.UTF-8
Pliki nagłowkowe dla Py0MQ (wersja dla Pythona 2).

%package -n python3-zmq
Summary:	Py0MQ - 0MQ bindings for Python 3
Summary(en.UTF-8):	Py0MQ - ØMQ bindings for Python 3
Summary(pl.UTF-8):	Py0MQ - wiązania biblioteki ØMQ dla Pythona
Group:		Development/Languages/Python
Requires:	python3-modules >= 3.2
Requires:	python3-tornado
Requires:	zeromq >= %{zeromq_ver}

%description -n python3-zmq
0MQ bindings for Python 3.

%description -n python3-zmq -l en.UTF-8
ØMQ bindings for Python 3.

%description -n python3-zmq -l pl.UTF-8
Wiązania biblioteki ØMQ dla Pythona 3.

%package -n python3-zmq-devel
Summary:	Header files for Py0MQ (Python 3 version)
Summary(pl.UTF-8):	Pliki nagłowkowe dla Py0MQ (wersja dla Pythona 3)
Group:		Development/Languages/Python
Requires:	python3-zmq = %{version}-%{release}

%description -n python3-zmq-devel
Header files for Py0MQ (Python 3 version).

%description -n python3-zmq-devel -l pl.UTF-8
Pliki nagłowkowe dla Py0MQ (wersja dla Pythona 3).

%prep
%setup -qn %{module}-%{version}

%build
%if %{with python2}
%py_build
%endif
%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%endif

%if %{with python3}
%py3_install
%endif

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS.md COPYING.BSD README.md
%dir %{py_sitedir}/zmq
%{py_sitedir}/zmq/*.py[co]
%dir %{py_sitedir}/zmq/auth
%{py_sitedir}/zmq/auth/*.py[co]
%dir %{py_sitedir}/zmq/backend
%{py_sitedir}/zmq/backend/*.py[co]
%dir %{py_sitedir}/zmq/backend/cffi
%{py_sitedir}/zmq/backend/cffi/*.[ch]
%{py_sitedir}/zmq/backend/cffi/*.py[co]
%dir %{py_sitedir}/zmq/backend/cython
%{py_sitedir}/zmq/backend/cython/*.py[co]
%{py_sitedir}/zmq/backend/cython/*.pxd
%{py_sitedir}/zmq/backend/cython/*.pxi
%attr(755,root,root) %{py_sitedir}/zmq/backend/cython/*.so
%dir %{py_sitedir}/zmq/devices
%{py_sitedir}/zmq/devices/*.py[co]
%attr(755,root,root) %{py_sitedir}/zmq/devices/*.so
%{py_sitedir}/zmq/devices/*.pxd
%dir %{py_sitedir}/zmq/eventloop
%{py_sitedir}/zmq/eventloop/*.py[co]
%dir %{py_sitedir}/zmq/eventloop/minitornado
%{py_sitedir}/zmq/eventloop/minitornado/*.py[co]
%dir %{py_sitedir}/zmq/eventloop/minitornado/platform
%{py_sitedir}/zmq/eventloop/minitornado/platform/*.py[co]
%dir %{py_sitedir}/zmq/green
%{py_sitedir}/zmq/green/*.py[co]
%dir %{py_sitedir}/zmq/green/eventloop
%{py_sitedir}/zmq/green/eventloop/*.py[co]
%dir %{py_sitedir}/zmq/log
%{py_sitedir}/zmq/log/*.py[co]
%dir %{py_sitedir}/zmq/ssh
%{py_sitedir}/zmq/ssh/*.py[co]
%dir %{py_sitedir}/zmq/sugar
%{py_sitedir}/zmq/sugar/*.py[co]
%dir %{py_sitedir}/zmq/utils
%{py_sitedir}/zmq/utils/*.json
%{py_sitedir}/zmq/utils/*.py[co]
%{py_sitedir}/zmq/utils/*.pxd
%dir %{py_sitedir}/zmq/tests
%{py_sitedir}/zmq/tests/*.py[co]
%{py_sitedir}/pyzmq-%{version}-py*.egg-info

%files devel
%defattr(644,root,root,755)
%{py_sitedir}/zmq/utils/*.h
%endif

%if %{with python3}
%files -n python3-zmq
%defattr(644,root,root,755)
%doc AUTHORS.md COPYING.BSD README.md
%dir %{py3_sitedir}/zmq
%{py3_sitedir}/zmq/*.py
%{py3_sitedir}/zmq/__pycache__
%dir %{py3_sitedir}/zmq/asyncio
%{py3_sitedir}/zmq/asyncio/*.py
%dir %{py3_sitedir}/zmq/auth/asyncio
%{py3_sitedir}/zmq/auth/asyncio/*.py
%dir %{py3_sitedir}/zmq/tests/asyncio
%{py3_sitedir}/zmq/tests/asyncio/*.py
%dir %{py3_sitedir}/zmq/auth
%{py3_sitedir}/zmq/auth/*.py
%dir %{py3_sitedir}/zmq/backend
%{py3_sitedir}/zmq/backend/*.py
%dir %{py3_sitedir}/zmq/backend/cffi
%{py3_sitedir}/zmq/backend/cffi/*.[ch]
%{py3_sitedir}/zmq/backend/cffi/*.py
%dir %{py3_sitedir}/zmq/backend/cython
%attr(755,root,root) %{py3_sitedir}/zmq/backend/cython/*.so
%{py3_sitedir}/zmq/backend/cython/*.py
%{py3_sitedir}/zmq/backend/cython/*.pxd
%{py3_sitedir}/zmq/backend/cython/*.pxi
%dir %{py3_sitedir}/zmq/devices
%{py3_sitedir}/zmq/devices/*.py
%{py3_sitedir}/zmq/devices/*.pxd
%attr(755,root,root) %{py3_sitedir}/zmq/devices/*.so
%dir %{py3_sitedir}/zmq/eventloop
%{py3_sitedir}/zmq/eventloop/*.py
%dir %{py3_sitedir}/zmq/eventloop/minitornado
%{py3_sitedir}/zmq/eventloop/minitornado/*.py
%dir %{py3_sitedir}/zmq/eventloop/minitornado/platform
%{py3_sitedir}/zmq/eventloop/minitornado/platform/*.py
%{py3_sitedir}/zmq/eventloop/minitornado/platform/__pycache__
%dir %{py3_sitedir}/zmq/green
%{py3_sitedir}/zmq/green/*.py
%dir %{py3_sitedir}/zmq/green/eventloop
%{py3_sitedir}/zmq/green/eventloop/*.py
%dir %{py3_sitedir}/zmq/log
%{py3_sitedir}/zmq/log/*.py
%dir %{py3_sitedir}/zmq/ssh
%{py3_sitedir}/zmq/ssh/*.py
%dir %{py3_sitedir}/zmq/sugar
%{py3_sitedir}/zmq/sugar/*.py
%dir %{py3_sitedir}/zmq/utils
%{py3_sitedir}/zmq/utils/*.py
%{py3_sitedir}/zmq/utils/*.pxd
%{py3_sitedir}/zmq/utils/*.json
%dir %{py3_sitedir}/zmq/tests
%{py3_sitedir}/zmq/tests/*.py
%{py3_sitedir}/zmq/*/__pycache__
%{py3_sitedir}/zmq/*/*/__pycache__
%{py3_sitedir}/pyzmq-%{version}-py*.egg-info

%files -n python3-zmq-devel
%defattr(644,root,root,755)
%{py3_sitedir}/zmq/utils/*.h
%endif
%changelog
* Sun Jul 08 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-zmq.git;a=log;h=master

* Sun Jul 08 2018 Jan Rękorajski <baggins@pld-linux.org> 50da0fe
- up to 17.0.0

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d89ae4
- release 7 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> f7f7751
- rel 6; fix build with new cython

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c6d70f
- python 3.6
- release 5 (by relup.sh)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 924e6a3
- use rpm python macros
- rel 4

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 74e0461
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 730f3ba
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 57f6839
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d98150
- release 2 (by relup.sh)

* Sat Aug 01 2015 Jakub Bogusz <qboosh@pld-linux.org> f0ba709
- updated to 14.7.0

* Sun Mar 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 7da8536
- updated to 14.5.0

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> fbe6a5e
- x32 rebuild
- release 4 (by relup.sh)

* Mon Jan 19 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b755afe
- zeromq rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ad3230
- python 3.4
- release 2 (by relup.sh)

* Sat Mar 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 23644df
- cleanup, added python2/python3 bconds

* Thu Mar 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ac82fc
- up to 14.1.0

* Wed Feb 26 2014 Jan Rękorajski <baggins@pld-linux.org> 0251d4d
- fixed python3 module deps
- rel 2

* Sun Feb 23 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ad38cb
- up to 14.0.1

* Sun Jul 07 2013 Elan Ruusamäe <glen@delfi.ee> b23b7f3
- rebuild without py2 specific pythonegg() provides
- release 3 (by relup.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 4824f6b
- release 2 (by relup.sh)

